DfuSe – dependency on Visual C++ 2013 runtime

I mentioned in a recent article on nanovna that DfuSe worked just fine. I was using DfuSeDemo v3.06. Some readers have not had such success.

The DfuSe package has dependencies, including Visual C++ 2013 runtime.

The highlighted DLL is from Visual C++ 2013.

There are periodic updates to various Microsoft DLLs, and they are not necessarily included in Windows Update.

There was an issue with some app installations causing damage to earlier versions of Visual C++ 2013 runtime, so whilst it might have worked at one time, it could be broken.

To ensure that you have the latest version of the runtime, Google for “Update for Visual C++ 2013 and Visual C++ Redistributable Package”.

WARNING: Smart people download this ONLY from the Microsoft site, getting it somewhere else risks malicious downloads directly or indirectly.

Try that and your DfuSeDemo may work properly.